Subscribed unsubscribe Subscribe Subscribe

libxmlのバージョンとかでハマっためも

Linux Perl

どうもWWW::MobileCarrierJPのインストールがうまくいかなくてtestこけてるところのログをみても何が原因なのかイマイチわからず、IRCで質問してみたところ、どうもlibxmlの方のバージョンが問題だったようで。
CentOSのデフォルトで入っている2.6.26から、最新と思われる2.7.7?にあげて、 cpanm --reinstall XML::LibXML してから再挑戦したらちゃんとtest通るようになった。
依存モジュールだけでなく依存ライブラリのバージョンにも気をつけた方がよさそう。
@さん、ありがとうございました!!